Ticket #26842

IEのテキストフィールドのかな漢字変換

Open Date: 2011-11-30 01:24 Last Update: 2012-04-20 22:14

Reporter:
Owner:
(None)
Type:
Status:
Closed
Component:
MileStone:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
None
File:
None

Details

マーチン@まほろば です

Internet Explorer のテキストフィールドで、かな漢字変換時に読み上げしない不具合がありました。 Firefox や Chrome や メモ帳 では、かな漢字変換時の候補を読み上げてくれます。

NVDAの設定で、コマンドキーの読み上げをON にして、動作状況を記録した動画です。DebugView の 出力画面も同時に表示してみましたが、参考になりますでしょうか?
http://www.youtube.com/watch?v=xLsMM0gg6k8
以下3条件での発生を確認しています。

Case 1

NVDAjpSnapshot 111122
OSWindows Vista 32bit
IME MS Office IME 2007 (12.0.6600.1000)
IE8.0.6001

Case 2

NVDAjpSnapshot 111114 or 111020
OSWindows Vista 32bit
IME MS Office IME 2007 (12.0.6600.1000)
IE8.0.6001

Case 3

NVDAjpSnapshot 111122
OSWindows 7 64bit
IME MS IME 10.1.7601.0
IE9.0.8112

Ticket History (3/8 Histories)

2011-11-30 01:24 Updated by: masakjm
  • New Ticket "IEのテキストフィールドのかな漢字変換" created
2011-12-08 21:50 Updated by: nishimoto
  • Component Update from (None) to IME
  • Milestone Update from (None) to 2011.3j (closed)
Comment

jpdev111130 以降で改善された可能性があります。

具体的には、スレッド同期のためのイベントの初期化順序を変更しました:

http://bazaar.launchpad.net/~nishimotz/nvdajp/betterInput/revision/4266

2011-12-11 21:03 Updated by: masakjm
Comment

マーチン@まほろば です 。

NVDA 2011.3j-beta1 で確認しましたが、直っていないようです。 IME の詳細なテキストサービス の ON/OFF や、 NVDA のInstaller版 と Portable版 の違いでは差はありませんでした。

Windows Vista Home Premium SP2 32bit
IMEMS Office IME 2007 (12.0)
IE 8.0.6001
Windows 7 Home Premium SP1 64bit
IME MS IME 10.1.7601.0
IE 9.0.8112
Windows 7 Professional SP1 32bit
IME MS Office IME 2010 (14.0)
IE 9.0.8112
2011-12-12 17:00 Updated by: nishimoto
Comment

ご指摘ありがとうございます。

この現象について 2011.2j までのバージョンと jpdev111020 以降で違いがあるでしょうか?

もしお分かりでしたらご教示いただけると助かります。

2011-12-13 13:12 Updated by: nishimoto
Comment

短期間に解決できるかどうか分からないのでマイルストーンをいったん解除しました。

「読み上げしない」のではなく「読み上げするまでに異常に時間がかかる」ということはないでしょうか?

引き続き調査を続けます。申し訳ありませんがよろしくお願いします。

2011-12-13 13:13 Updated by: nishimoto
2011-12-25 11:21 Updated by: masakjm
Comment

返信が遅くなり申し訳ありません。

「読み上げするまでに異常に時間がかかる」ではなく、読み上げません。 また、2011.1.1j3、2011.2j でも、日本語ON/OFFを読む読まないの違いはありますが、変換候補を読み上げないのは同じです。 Windows Vista 32bit+IE8 と Windows 7 64bit+IE9 で確認しています。 ちなみに、メモリはどちらも2GB、NVDAはポータブル版です。

2012-04-20 22:14 Updated by: nishimoto
  • Status Update from Open to Closed
  • Ticket Close date is changed to 2012-04-20 22:14

Attachment File List

No attachments

Edit

Please login to add comment to this ticket » Login